Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.push.impl.jms
Class PushContextImpl

    java.lang.Object
      org.richfaces.application.push.impl.jms.PushContextImpl

All Implemented Interfaces:
  java.util.EventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, AtmosphereHandlerProvider, org.richfaces.application.push.PushContext

    public class PushContextImpl

extends java.lang.Object
implements org.richfaces.application.push.PushContext, javax.faces.event.SystemEventListener, AtmosphereHandlerProvider

Author:
  Nick Belaevski

Field Summary

Fields inherited from interface org.richfaces.application.push.PushContext
`INSTANCE_KEY_NAME`

Constructor Summary
`PushContextImpl()`

Method Summary
`void` | `destroy()`
`org.atmosphere.cpr.AtmosphereHandler<javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse>` | `getHandler()`
`org.richfaces.application.push.SessionFactory` | `getSessionFactory()`
`org.richfaces.application.push.SessionManager` | `getSessionManager()`
`org.richfaces.application.push.TopicsContext` | `getTopicsContext()`
`void` | `init(javax.faces.context.FacesContext facesContext)`
`boolean` | `isListenerForSource(java.lang.Object source)`
`void` | `processEvent(javax.faces.event.SystemEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PushContextImpl

    public PushContextImpl()

Method Detail

### getTopicsContext

    public org.richfaces.application.push.TopicsContext getTopicsContext()

  Specified by:
    `getTopicsContext` in interface `org.richfaces.application.push.PushContext`

### init

    public void init(javax.faces.context.FacesContext facesContext)

  Specified by:
    `init` in interface `org.richfaces.application.push.PushContext`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.richfaces.application.push.PushContext`

### processEvent

    public void processEvent(javax.faces.event.SystemEvent event)
                      throws javax.faces.event.AbortProcessingException

  Specified by:
    `processEvent` in interface `javax.faces.event.SystemEventListener`
  Throws:
    `javax.faces.event.AbortProcessingException`

### isListenerForSource

    public boolean isListenerForSource(java.lang.Object source)

  Specified by:
    `isListenerForSource` in interface `javax.faces.event.SystemEventListener`

### getSessionFactory

    public org.richfaces.application.push.SessionFactory getSessionFactory()

  Specified by:
    `getSessionFactory` in interface `org.richfaces.application.push.PushContext`

### getHandler

    public org.atmosphere.cpr.AtmosphereHandler<javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse> getHandler()

  Specified by:
    `getHandler` in interface `AtmosphereHandlerProvider`

### getSessionManager

    public org.richfaces.application.push.SessionManager getSessionManager()

  Specified by:
    `getSessionManager` in interface `org.richfaces.application.push.PushContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.